﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMDoubleClickEvent
{
   public class Person : INotifyPropertyChanged
    {
        private string _fName;
        private string _lName;
        public string FirstName
        {
            get { return _fName; }
            set { _fName = value; NotifyPropertyChanged("FirstName"); }
        }

        public string LastName
        {
            get { return _lName; }
            set { _lName = value; NotifyPropertyChanged("LastName"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void NotifyPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
